Subject: bug#78120: 31.0.50; Calendar is not reliable with its marking

From: Michael Heerdegen <[email-masked]>
Date: Fri, 09 May 2025 08:57:58 +0200

Eli Zaretskii <[email-masked]> writes:

> Surely, we need to make a decision like that if we want the results to
> be completely deterministic?

I wonder how that could be done.  There are a lot of possible sources of
marks besides diary entries (look for functions calling
`calendar-mark-visible-date', for example).  Marks can also come from
user functions.  Most of these can use arbitrary faces (the diary face
is only a fallback) - and at least some of them are allowed to specify
only attributes that should stack.  If you really intend to invent some
kind of hierarchy to solve this, this will be a very complicated thing.

Michael.